<h4>Componente Padre</h4>

<button (click)="toggleDogs()">Mostrar</button>

<div *ngIf="show else notShow">
  <table>
    <tr>
      <th>ID</th>
      <th>Nombre</th>
      <th>Color</th>
      <th>Raza</th>
      <th>Sexo</th>
    </tr>
    <tr *ngFor="let dog of dogs">
      <td>{{ dog.id }}</td>
      <td>{{ dog.name }}</td>
      <td>{{ dog.color }}</td>
      <td>{{ dog.raza }}</td>
      <td>{{ dog.isMale ? 'Macho' : 'Hembra' }}</td>
    </tr>
  </table>
</div>

<ng-template #notShow>
  No hay perros!
</ng-template>

<app-description [show]="show" (toggleTable)="toggleDogs()"></app-description>